Project

General

Profile

Actions

Task #12339

closed

Evaluate yaaok for openstack in k8s

Added by Nico Schottelius 6 months ago. Updated 6 months ago.

Status:
Closed
Priority:
Normal
Target version:
-
Start date:
01/06/2024
Due date:
% Done:

0%

Estimated time:
PM Check date:

Description

2024-01-06 14:16:37,715   ERROR  yaook.op.daemon.yaook.cloud/v1.keystonedeployments.yaook.keystone  failed to reconcile state <yaook.statemachine.resources.k8s_authz.TemplatedRole component='policy_validation_management_role'>
Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/api_utils.py", line 1101, in get_cluster_domain
    response = socket.gethostbyname_ex("kubernetes.default.svc")
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
socket.gaierror: [Errno -5] No address associated with hostname

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/statemachine.py", line 78, in _ensure_state
    await state.reconcile(
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrapper
    return await function(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 762, in reconcile
    new_body = await self._make_body(ctx, dependencies)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 966, in _make_body
    await self._get_template_parameters(ctx, dependencies),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrapper
    return await function(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 984, in _get_template_parameters
    result = await super()._get_template_parameters(ctx, dependencies)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 907, in _get_template_parameters
    "cluster_domain": api_utils.get_cluster_domain(),
                      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/api_utils.py", line 1104, in get_cluster_domain
    raise KeyError("No DNS Response for kubernetes.default.svc. Maybe we " 
KeyError: 'No DNS Response for kubernetes.default.svc. Maybe we are not running inside a cluster. You can set YAOOK_OP_CLUSTER_DOMAIN to override it'
2024-01-06 14:16:37,735   ERROR  yaook.op.tasks  task TaskItem(func=<bound method OperatorDaemon._reconcile_cr of <yaook.op.daemon.OperatorDaemon object at 0x7f9151a86b50>>, data=(<CustomResource keystonedeployments.yaook.cloud/v1>, 'yaook', 'keystone')) failed. retrying in 114.55600857834835s
Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/api_utils.py", line 1101, in get_cluster_domain
    response = socket.gethostbyname_ex("kubernetes.default.svc")
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
socket.gaierror: [Errno -5] No address associated with hostname

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/yaook/op/tasks.py", line 313, in run_next_task
    requeue = await func(*data)
              ^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrapper
    return await function(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/op/daemon.py", line 754, in _reconcile_cr
    await cr_obj.reconcile(ctx, generation)
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/customresource.py", line 742, in reconcile
    await super().reconcile(ctx, generation)
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrapper
    return await function(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/customresource.py", line 257, in reconcile
    blocking = await self.sm.ensure(ctx)
               ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrapper
    return await function(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/statemachine.py", line 152, in ensure
    ready = await self._ensure_state(state, ctx)
            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrapper
    return await function(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/statemachine.py", line 78, in _ensure_state
    await state.reconcile(
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrapper
    return await function(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 762, in reconcile
    new_body = await self._make_body(ctx, dependencies)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 966, in _make_body
    await self._get_template_parameters(ctx, dependencies),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/tracing.py", line 63, in wrapper
    return await function(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 984, in _get_template_parameters
    result = await super()._get_template_parameters(ctx, dependencies)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/resources/k8s.py", line 907, in _get_template_parameters
    "cluster_domain": api_utils.get_cluster_domain(),
                      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/yaook/statemachine/api_utils.py", line 1104, in get_cluster_domain
    raise KeyError("No DNS Response for kubernetes.default.svc. Maybe we " 
KeyError: 'No DNS Response for kubernetes.default.svc. Maybe we are not running inside a cluster. You can set YAOOK_OP_CLUSTER_DOMAIN to override it'
2024-01-06 14:16:37,738   DEBUG  yaook.op.tasks  next item is scheduled for 10408.364446871348 (in 114.56s)
2024-01-06 14:16:37,738   DEBUG  yaook.op.tasks  next item is scheduled for 10408.364446871348 (in 114.56s)
2024-01-06 14:16:37,738   DEBUG  yaook.op.tasks  next item is scheduled for 10408.364446871348 (in 114.56s)

Related issues 1 (1 open0 closed)

Related to Open Infrastructure - Task #12340: Evaluate openstack helm chartsIn ProgressNico Schottelius01/06/2024

Actions
Actions #1

Updated by Nico Schottelius 6 months ago

  • Project changed from 45 to Open Infrastructure
Actions #2

Updated by Nico Schottelius 6 months ago

  • Description updated (diff)
Actions #3

Updated by Nico Schottelius 6 months ago

  • Related to Task #12340: Evaluate openstack helm charts added
Actions

Also available in: Atom PDF